# Passbolt CE Generated on 9 Oct 2025 from [the Passbolt CE catalog page](https://marketplace.digitalocean.com/apps/passbolt-ce) Passbolt is an open source password manager for businesses and IT teams. It helps centralize, organize, and share passwords securely with collaborators and teams while enforcing strong security policies. Passbolt is open source, self-hosted and respects your privacy. Passbolt Community Edition (CE) is free and will remain free forever. More information on [https://www.passbolt.com](https://www.passbolt.com) ## Software Included | Package | Version | License | |---|---|---| | Passbolt | [5.6.0](https://help.passbolt.com/releases/ce/) | [GNU Affero General Public License v3.0](https://github.com/passbolt/passbolt_api/blob/master/LICENSE.txt) | | Nginx | [1.18.0](https://packages.ubuntu.com/bionic/nginx) | [Custom](http://nginx.org/LICENSE) | | Certbot | [0.40](https://packages.ubuntu.com/bionic/certbot) | [Apache 2](https://github.com/certbot/certbot/blob/master/LICENSE.txt) | | mariadb-server | [10.3.25](https://packages.ubuntu.com/bionic/mariadb-server) | [GPL v2](https://mariadb.com/kb/en/library/legal-documents-mariadb-license/) | | php-fpm | [8.2](https://packages.ubuntu.com/bionic/php-fpm) | [PHP License](http://www.php.net/license/3_01.txt) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=passboltsa-passboltce-20-04) ## Creating an App using the API In addition to creating a Droplet from the Passbolt CE 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Passbolt CE Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"passboltsa-passboltce-20-04"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Passbolt CE 1. **Point your domain DNS to this machine IP address.** Please check [DigitalOcean DNS documentation](https://www.digitalocean.com/docs/networking/dns/) or your domain name provider help for this. 2. **Wait until the DNS propagation is done.** To check if it is done, ping your domain and it should resolve to this Droplet IP. You can also check the propagation using [online tools](https://www.whatsmydns.net/). 3. **Login to this Droplet via SSH** as root: `ssh root@this_Droplet_ip` or `ssh root@your_domain.com`. Use this same ssh connection to gather the randomly generated mysql credentials in `/root/.mysql_credentials` you will need them for the web installation wizard. 4. **Follow the instructions**. A script will be launched, choose the automatic configuration option and let the script guide you. Once you’re done, point your browser to the DNS assigned to this Droplet: `https://your_domain.com` and you will then see the web installation wizard. In case of issues check out the installation [documentation](https://www.passbolt.com/help/tech/install/ce/digital-ocean) on the help site. You can also you can post a new entry on the [community forum](https://community.passbolt.com/c/installation-issues).